Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class UnionInfo

    java.lang.Object
      jet.api.UnionInfo

    public class UnionInfo

extends java.lang.Object

The class UnionInfo defines the information of a union statement of query.

Constructor Summary
`UnionInfo()` Constructs an empty UnionInfo object.
`UnionInfo(java.lang.String queryName, boolean unionAll)` Constructs a UnionInfo with specific contents.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares the objects.
`java.lang.String` | `getQueryName()` Gets the union query name.
`boolean` | `getUnionStatus()` Gets the "Union All" status.
`void` | `setQueryName(java.lang.String queryName)` Sets the query's name to be union.
`void` | `setUnionStatus(boolean unionAll)` Sets the "Union All" status.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionInfo

    public UnionInfo()

  Constructs an empty UnionInfo object.

### UnionInfo

    public UnionInfo(java.lang.String queryName,
                     boolean unionAll)

  Constructs a UnionInfo with specific contents.

  Parameters:
    `queryName` - The union query name.
    `unionAll` - Indicates whether this union is "Union All" or not.

Method Detail

### getQueryName

    public java.lang.String getQueryName()

  Gets the union query name.

  Returns:
    the query's name.

### getUnionStatus

    public boolean getUnionStatus()

  Gets the "Union All" status.

  Returns:
    `true` if the "Union ALL" has been set in the statement; `false` otherwise.

### setQueryName

    public void setQueryName(java.lang.String queryName)

  Sets the query's name to be union.

  Parameters:
    `queryName` - The query's name.

### setUnionStatus

    public void setUnionStatus(boolean unionAll)

  Sets the "Union All" status.

  Parameters:
    `unionAll` - `true` if the "Union ALL" will be set in the statement; `false` otherwise.

### equals

    public boolean equals(java.lang.Object obj)

  Compares the objects.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    `true` if the given object is equal to this one; `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD